Skip to Content

Get pricing for purchasing, renewing, and upgrading resources. - GetUFilePkgPrice

Overview

Get pricing for purchasing, renewing, and upgrading resources.

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is GetUFilePkgPrice.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
RegionstringRegion. See List of Regions and Availability ZonesYes
ZonestringAvailability Zones. See List of Availability ZonesNo
ProjectIdstringProject ID. Leaving this field blank will default to the project ID. This is required for sub-accounts. Please refer to the GetProjectList APINo
InquiryTypestringOperation type: new: new purchase, upgrade: upgrade, renew: renewal, delete: refundYes
AmountintRequired for new purchases and upgradesNo
AmountUnitstringRequired for new purchases and upgradesNo
DurationintRequired for new purchases and upgradesNo
DurationUnitstringRequired for new purchases and upgradesNo
ResourceIdstringResource ID is required for upgrades, renewals, and refunds.No

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
CustomPriceintActual priceNo
OriginPriceintOriginal PriceNo

Example

Request Example

https://api.dezai.com/?Action=GetUFilePkgPrice &Region=cn-zj &Zone=cn-zj-01 &ProjectId=YxwjecXw &InquiryType=new &Amount=1 &AmountUnit=TwjvCtIh &Duration=6 &DurationUnit=yvnroMOB &ResourceId=ArmDDgNR

Response Example

{ "Action": "GetUFilePkgPriceResponse", "CustomPrice": 4, "OriginPrice": 1, "RetCode": 0 }